package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag995;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT995Creator;

public class Tag11sCreator extends AbsTagCreate {
    private MT995Creator mt995Creator;

    public Tag11sCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt995Creator = (MT995Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag11aValue = mt995Creator.getMtDateTag11a();
        mt995Creator.set("11S", tag11aValue);
    }
}
